### Method

# FwupdPlugin Firmware set_size_max

since: 1.9.7

#### Declaration [src]

    void
    fu_firmware_set_size_max (
      FuFirmware* self,
      gsize size_max
    )

#### Description [src]

Sets the maximum size of the image allowed during parsing. Implementations should query `fu_firmware_get_size_max()` during parsing when adding images to ensure the limit is not exceeded.

Available since: 1.9.7

#### Parameters

`size_max`

  Type: `gsize`

  Integer, or 0 for no limit.